Help get this topic noticed by sharing it on Twitter, Facebook, or email.
I’m rather disappointed.

video supported in the older version but not on premiere element.10

I was using premiere element 4.0 on the laptop with window vista. i imported the video with olympus XZ-1 and have no problem. However, as i recently bought the premiere element 10 on my desktop running window 7, I could not import the video. i received the error, "the required codec is not installed or file not supported". The online help chat told me this camera was not tested and direct me to raise my feedback here.

If the video can be accepted in an older version, I do not understand why it was rejected in the later version. Although i tried using it after converting the video, the quality was disappointing, I felt rather fustrated because upgrading does not come free. I have to buy the software all over again and i did it b
ecause I was confident of the product. However, now I realize i am spending on a later version to encounter a problem i did not have with the older version of premiere element. I am still hoping there is a solution. Or at the very most is there anything I can do that will not compromise the quality of the video that much?
1 person has
this problem
+1
Reply